#include <stdio.h>
main()
{
	int N,M,i,tezina,od,do2,opsegdonji[150000],opseggornji[150000],brojvaga[150000];;
	scanf("%d%d",&N,&M);
	for(i=1;i<=N;i++){
		scanf("%d%d",&opsegdonji[i],&opseggornji[i]);
	}
	
	for(i=1;i<=M;i++){
		scanf("%d%d%d",&od,&do2,&tezina);
		for(;od<=do2;od++){
			if(tezina>=opsegdonji[od] && tezina<=opseggornji[od]){
				brojvaga[i]++;
			}
		}
	}
	for(i=1;i<=M;i++){
		printf("%d\n",brojvaga[i]);
	}
}